[jruby] Warnings

Mark Prins mc.prins at gmail.com
Thu Feb 21 21:27:49 JST 2019


On 21-02-19 03:10, Keith Bennett wrote:
> Whenever I run JRuby, I get these warnings:
> 
> ➜  2019   time jruby --dev -e 1
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by org.jruby.util.SecurityHelper to 
> field java.lang.reflect.Field.modifiers
> WARNING: Please consider reporting this to the maintainers of 
> org.jruby.util.SecurityHelper
> WARNING: Use --illegal-access=warn to enable warnings of further illegal 
> reflective access operations
> WARNING: All illegal access operations will be denied in a future release
> jruby --dev -e 1  3.09s user 0.32s system 161% cpu 2.105 total
> 
> I'm running the following version, using rvm, on a Mac:
> 
> ➜  2019   jruby -v
> jruby 9.2.5.0 (2.5.0) 2018-12-06 6d5a228 OpenJDK 64-Bit Server VM 
> 11.0.1+13 on 11.0.1+13 +jit [darwin-x86_64]
> 
> Anyone know what's up with this?

Jruby has "Basic support for Java 11" so it will run, but with warnings. 
see also eg. https://github.com/jruby/jruby/issues/4834

-M


More information about the JRuby mailing list